<?php
class ControllerTotaldescontoporpagamento extends Controller {
	private $error = array(); 

	public function index() {   
		$this->load->language('total/descontoporpagamento');

		$this->document->setTitle($this->language->get('heading_title'));

		$this->load->model('setting/setting');
		

		if (($this->request->server['REQUEST_METHOD'] == 'POST') && ($this->validate()) ) {
			$this->model_setting_setting->editSetting('descontoporpagamento', $this->request->post);
			
			$this->session->data['success'] = $this->language->get('text_success');

			$this->redirect($this->url->link('extension/total', 'token=' . $this->session->data['token'], 'SSL'));
		}

		$this->data['heading_title']      = $this->language->get('heading_title');
		$this->data['text_enabled']       = $this->language->get('text_enabled');
		$this->data['text_disabled']      = $this->language->get('text_disabled');
		$this->data['entry_status']       = $this->language->get('entry_status');
		$this->data['button_save']        = $this->language->get('button_save');
		$this->data['button_cancel']      = $this->language->get('button_cancel');	
        $this->data['text_Grlconf']       = $this->language->get('text_Grlconf');			
		
		$this->data['link'] = $this->url->link('catalog/product/update', 'token=' . $this->session->data['token'], 'SSL');

		if (isset($this->error['warning'])) {
			$this->data['error_warning'] = $this->error['warning'];
		}else{
			$this->data['error_warning'] = '';
		}
		

		$this->data['breadcrumbs'] = array();
		$this->data['breadcrumbs'][] = array(
			'text'      => $this->language->get('text_home'),
			'href'      => $this->url->link('common/home', 'token=' . $this->session->data['token'], 'SSL'),
			'separator' => false
		);

		$this->data['breadcrumbs'][] = array(
			'text'      => $this->language->get('text_total'),
			'href'      => $this->url->link('extension/total', 'token=' . $this->session->data['token'], 'SSL'),
			'separator' => ' :: '
		);

		$this->data['breadcrumbs'][] = array(
			'text'      => $this->language->get('heading_title'),
			'href'      => $this->url->link('total/descontoporpagamento', 'token=' . $this->session->data['token'], 'SSL'),
			'separator' => ' :: '
		);

		$this->data['action'] = $this->url->link('total/descontoporpagamento', 'token=' . $this->session->data['token'], 'SSL');
		$this->data['cancel'] = $this->url->link('extension/total', 'token=' . $this->session->data['token'], 'SSL');
		
		// chama a view
		$this->template = 'total/descontoporpagamento.tpl';
		$this->children = array(
			'common/header',
			'common/footer',
		);	

		$this->load->model('setting/extension');
		$this->data['tipos_pagamento'] = $this->model_setting_extension->getInstalled('payment');
		
		$this->model_setting_setting->getSetting('descontopagamento');
		
		if (isset($this->request->post['descontoporpagamento_status'])) {
			$this->data['descontoporpagamento_status'] = $this->request->post['descontoporpagamento_status'];
		} else {
			$this->data['descontoporpagamento_status'] = $this->config->get('descontoporpagamento_status');
		} 
			
		foreach($this->data['tipos_pagamento'] as $key => $value){		  
			if (isset($this->request->post['descontopagamento_' . $this->data['tipos_pagamento'][$key]])) {
				$this->data['descontopagamento_' . $this->data['tipos_pagamento'][$key]] = $this->request->post['descontopagamento_' . $this->data['tipos_pagamento'][$key]];
			} else {
				$this->data['descontopagamento_' . $this->data['tipos_pagamento'][$key]] = $this->config->get('descontopagamento_' . $this->data['tipos_pagamento'][$key]);
			} 	
		}

		$this->response->setOutput($this->render());
	}
	
	private function validate() {
		if (!$this->user->hasPermission('modify', 'total/descontoporpagamento')) {
			$this->error['warning'] = $this->language->get('error_permission');
		}	
		
		if (!$this->error) {
			return true;
		} else {
			return false;
		}
				
	}    
}
?>